// * ======================================================================
// * *                                                                    *
// * *  Copyright (c) 1996, University of Salzburg.                       *
// * *  All rights reserved.                                              *
// * *                                                                    *
// * ======================================================================
// * *                                                                    *  
// * *  DataCast Version 1.8                                              *
// * *                                                                    *
// * *  Author:  Manfred Hackel                                           *
// * *  File  :  About.java                                               *
// * *  Date  :  31.01.1996                                               *
// * *                                                                    *
// * *  Description:                                                      *
// * *     Displays the About dialog box                                  *
// * *                                                                    *
// * *  Revision-History:                                                 *
// * *     1.7   Manfred Hackel   initial coding                          *
// * *     1.7R  Hilmar Linder    added RRMP support for Windows 95/NT    *
// * *     1.8   Hilmar Linder    check the OS version for RRMP support   *
// * *                            added the options -rf,-ru for RRMP      *
// * *                            added this header                       *
// * *                                                                    *
// * ======================================================================

import java.awt.*;

public class AboutDialog extends Dialog {

	public AboutDialog(Frame parent, String title, boolean modal) {
		super(parent, title, modal);
	}

	public void init() {
		Panel p;
		setLayout(new BorderLayout());

		p = new Panel();
		Label line1 = new Label("DataCast V1.8",Label.CENTER);
		p.add(line1);
		add("North",p);

		p = new Panel();
		Label line2 = new Label("University of Salzburg",Label.CENTER);
		p.add(line2);
		add("Center",p);
		Label line3 = new Label("Manfred Hackl, 1996",Label.CENTER);
		p.add(line3);
		add("Center",p);
		Label line5 = new Label("Hilmar Linder, 1997",Label.CENTER);
		p.add(line5);
		add("Center",p);

		p = new Panel();
		Button b = new Button("OK");
		p.add(b);
		add("South",p);

	}

	public boolean action(Event event, Object object) {
		if (object.toString() == "OK") {
			dispose();
		}
		return true;
	}

	public boolean handleEvent(Event event) {
		if (event.id == Event.WINDOW_DESTROY) {
			dispose();
		}   
		return super.handleEvent(event);
	}

}