// * ======================================================================
// * *                                                                    *
// * *  Copyright (c) 1996, University of Salzburg.                       *
// * *  All rights reserved.                                              *
// * *                                                                    *
// * ======================================================================
// * *                                                                    *  
// * *  DataCast Version 1.8                                              *
// * *                                                                    *
// * *  Author:  Manfred Hackel                                           *
// * *  File  :  Service.java                                             *
// * *  Date  :  31.01.1996                                               *
// * *                                                                    *
// * *  Description:                                                      *
// * *                                                                    *
// * *                                                                    *
// * *  Revision-History:                                                 *
// * *     1.7   Manfred Hackel   initial coding                          *
// * *     1.7R  Hilmar Linder    added RRMP support for Windows 95/NT    *
// * *     1.8   Hilmar Linder    check the OS version for RRMP support   *
// * *                            added the options -rf,-ru for RRMP      *
// * *                            added this header                       *
// * *                                                                    *
// * ======================================================================

import java.util.*;

public class Service {
	/*	Every transmitted file belongs to a service (e.g. a newspaper like "Der Standard", or a magazine like 
		"Cuore", or "other" for unnamed services)
	*/
	private boolean isFree;
	private String name = new String();
	private String alias = new String();
	/* 	alias name of this service
		for free services it is the same as  'name', for subscribable services this is the real name of the 
		service because a random name is used for the 'name' attribute in order to prevent the receiver 
		of non-subscribers from saving these files
	*/
	private String urlString = new String();	// URL of the frontpage of this service
	private Date date = new Date();		// date when this service was stored on disk
	
	Service (String name, String urlString, Date date) {
		// Constructor for free services
		this.name = name;
		this.urlString = urlString;
		this.date = date;
		alias = name;
		isFree = true;
	}

	Service (String name, String urlString, Date date, String alias) {
		// Constructor for subscribed services
		this.name = name;
		this.urlString = urlString;
		this.date = date;
		this.alias = alias;
		isFree = false;
	}

	public String aliasName() {
		return alias;
	}
	
	public String urlString() {
		return urlString;
	}

	public Date date() {
		return date;
	}

	public void setAlias(String newName) {
		alias = newName;
	}
}