// * ======================================================================
// * *                                                                    *
// * *  Copyright (c) 1996, University of Salzburg.                       *
// * *  All rights reserved.                                              *
// * *                                                                    *
// * ======================================================================
// * *                                                                    *  
// * *  DataCast Version 1.8                                              *
// * *                                                                    *
// * *  Author:  Manfred Hackel                                           *
// * *  File  :  WarningDialog.java                                       *
// * *  Date  :  31.01.1996                                               *
// * *                                                                    *
// * *  Description:                                                      *
// * *                                                                    *
// * *                                                                    *
// * *  Revision-History:                                                 *
// * *     1.7   Manfred Hackel   initial coding                          *
// * *     1.7R  Hilmar Linder    added RRMP support for Windows 95/NT    *
// * *     1.8   Hilmar Linder    check the OS version for RRMP support   *
// * *                            added the options -rf,-ru for RRMP      *
// * *                            added this header                       *
// * *                                                                    *
// * ======================================================================

import java.awt.*;

public class WarningDialog extends Dialog {

	public WarningDialog(Frame parent, String title, boolean modal) {
		super(parent, title, modal);
	}

	public void init(String text1) {
		Panel p;
		setLayout(new BorderLayout());

		p = new Panel();
		Label label1 = new Label(text1, Label.CENTER);
		p.add(label1);
		add("North",p);

		p = new Panel();
		Button b = new Button("OK");
		p.add(b);
		add("South",p);

	}

	public void init(String text1, String text2) {
		Panel p;
		setLayout(new BorderLayout());

		p = new Panel();
		Label label1 = new Label(text1, Label.CENTER);
		p.add(label1);
		add("North",p);

		p = new Panel();
		Label label2 = new Label(text2, Label.CENTER);
		p.add(label2);
		add("Center",p);

		p = new Panel();
		Button b = new Button("OK");
		p.add(b);
		add("South",p);

	}

	public boolean action(Event event, Object object) {
		if (object.toString() == "OK") {
			dispose();
		}
		return true;
	}

	public boolean handleEvent(Event event) {
		if (event.id == Event.WINDOW_DESTROY) {
			dispose();
		}   
		return super.handleEvent(event);
	}

}